export function calculateRatio(
    it: { x: number; y: number },
    parent: DOMRect,
): { x: number; y: number } {
    const relativeXPixels = it.x - parent.x
    const relativeYPixels = it.y - parent.y

    const xRatio = relativeXPixels / parent.width
    const yRatio = relativeYPixels / parent.height

    return { x: xRatio, y: yRatio }
}
