<?php

$finder = (new PhpCsFixer\Finder())->in(__DIR__);

return (new PhpCsFixer\Config())
    ->setRules([
        '@PER-CS' => true,
        '@PHP74Migration' => true,
        'array_syntax' => ['syntax' => 'short'],
        'braces_position' => [
            'classes_opening_brace' => 'same_line',
            'functions_opening_brace' => 'same_line'
        ]
    ])
    ->setIndent("    ")
    ->setFinder($finder);
