<?php

namespace IQBall\Core\Data;

class TeamInfo {
    private int $id;
    private string $name;
    private string $picture;
    private Color $mainColor;
    private Color $secondColor;

    /**
     * @param int $id
     * @param string $name
     * @param string $picture
     * @param Color $mainColor
     * @param Color $secondColor
     */
    public function __construct(int $id, string $name, string $picture, Color $mainColor, Color $secondColor) {
        $this->id = $id;
        $this->name = $name;
        $this->picture = $picture;
        $this->mainColor = $mainColor;
        $this->secondColor = $secondColor;
    }


    public function getId(): int {
        return $this->id;
    }

    public function getName(): string {
        return $this->name;
    }

    public function getPicture(): string {
        return $this->picture;
    }

    public function getMainColor(): Color {
        return $this->mainColor;
    }

    public function getSecondColor(): Color {
        return $this->secondColor;
    }


}
