<?php

/**
 * relative path of the public directory from the server's document root.
 */
function get_public_path(string $public_dir): string {
    // find the server path of the index.php file
    $basePath = substr($public_dir, strlen($_SERVER['DOCUMENT_ROOT']));

    $basePathLen = strlen($basePath);
    if ($basePathLen == 0) {
        return "";
    }

    $c = $basePath[$basePathLen - 1];

    if ($c == "/" || $c == "\\") {
        $basePath = substr($basePath, 0, $basePathLen - 1);
    }
    return $basePath;
}
